/* ================================================= */
/* CSS for control sap.ui.commons/DatePicker.control */
/* Goldreflection theme                              */
/* ================================================= */

/**************** INPUT ****************/
.sapUiTfCombo > .sapUiTfDateIcon {
	height: 20px;
	width: 20px;
}

.sapUiTfStd > .sapUiTfDateIcon,
.sapUiTfRo > .sapUiTfDateIcon {
	background-image: url(img/datepicker/Calendar_regular.png);
}

.sapUiTfStd > .sapUiTfDateIcon:hover {
	background-color: @sapUiHighlight;
	background-image: url(img/datepicker/Calendar_hover.png);
}

/* Disabled icon */
.sapUiTfCombo.sapUiTfDsbl > .sapUiTfDateIcon {
	background-image: url(img/datepicker/Calendar_dsbl.png);
}

html[data-sap-ui-os^="iOS6"] .sapUiTfDsbl > .sapUiTfInner.sapUiTf[type="date"]{
	/* On iPad with iOS6 for disabled input fields an opacity is set.*/
	color: darken(@sapUiContentDisabledTextColor, 25); /* looks better than original color because this is nor readable*/
}